# TestProgressEvent

interface TestProgressEvent : ProgressEvent

Root interface for all events that signal progress while executing a test or test suite.

#### Since

2.4

#### Inheritors

TestFinishEvent
TestStartEvent

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): TestOperationDescriptor
Returns the description of the test for which progress is reported.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long